var mysql = require('mysql');
var _ = require('underscore');
/**
 * 基本类，提供增删改查
 * @param {string} tableName 表名
 * @param {string} dbKey 
 */
function TableHelper(tableName, dbKey) {
    this._tableName = tableName;
    this._db = dbKey || 'default';
}

TableHelper.prototype.setTableName = function(tableName) {
    this._tableName = tableName;
};

TableHelper.prototype.buildSql = function(tableName, field, where, onlyData) {
    var _where = where['_where'] ? _where['_where'] : '1';
    var _field = field;

    if( onlyData ) {
        _field = "*";
    }

    var _sql = 'SELECT ' + _field + ' FROM ' + tableName + ' WHERE ' + _where;

    return _sql;
}

/**
 * 读取数据
 * @param  {object} where   参数列表，特殊参数前缀
 * @param  {object} keyWord 查询关键字['_field', '_where', '_limit', '_sortKey', '_sortDir', '_lockRow', '_tableName', '_groupby']
 * @return {object}
 */
TableHelper.prototype.getObject = function(where, keyWord) {
    var _where = _.extend(where, keyWord);

    var _fetch = where['_fetch'] || 'getAll';

    var _field = where['_field'] || '*';


}

/**
 * 检查表是否存在
 * @param  {string} tableName 表名
 * @param  {string} dbName    数据库名【可为空】
 * @return {bool}
 */
TableHelper.prototype.checkTableExist = function(tableName, dbName) {

}

module.exports = TableHelper;
